# Feature list

Vue Storefront is Platform Agnostic Headless Frontend for eCommerce. Here we tried to put all the features available in 1.0 alltogether:

## Vue Storefront unique features

- 100% offline support - via in-browser IndexedDB database
- High speed with local caching (Service Workers + IndexedDB); avg. server response time < 0.3s; avg client-side rendering time < 2s
- Platform Agnostic - Magento2, Magento1, Pimcore supported out-of-the-box
- Offline Orders support (via in-browser queue)
- Single Page App User Experience with Server Side Rendering support for SEO
- Native app features - install on Home Screen (iOS, Android, Chrome), push notifications (via customization)
- NoSQL/ElasticSearch database backend
- Modern Vue.js based frontend - easy to design and customize, atomic-design, design-system backed
- It's a Framework - customizable via Extensions, Themes, easy to update with separated Core

## Vue Storefront Magento2 support

### Checkout, Payment, & Shipping

- One-Page Online Checkout
- Integrated for Real-Time Shipping Rates
- SSL Security Support for All Online Order and Sensitive Transactions
- Online Tax and Shipping Calculation and Prior to Checkout Estimates
- Option to Create Account as Part of Online Checkout Process
- Configurable Saved Cart Expiration
- Multiple Shipping Address Management
- Destination Country Management
- Per Order and Per Item Flat Rate Shipping Option
- Free Shipping Functionality
- Manage Shipping by Weight and Destination

### Search Engine Optimization (SEO)

- SSR (Server Site Rendering)
- Light Footprint Design for Fast Load Time and Search Engine Optimization
- Search Engine Friendly URLs Including URL ReWrite Controls
- META Information Management at Product and Category Levels
- Available via customization: Auto-Generated Popular Search Terms Page

### Analytics and Reporting

- Integration with Google Analytics
- Admin Report Dashboard with Business Overview
- Sales Reports Including Total Sales and Returns
- Tax Reports
- Abandoned Shopping Cart Reports
- Best Viewed Products Reports
- Top Sold Products Report
- Low Stock Item Report
- Onsite Search Terms Report
- Product Reviews Report with RSS Support
- Tags Report with RSS Support
- Coupon Usage Report

### Marketing Promotions and Tools

- Newsletter Management
- Catalog Promotional Pricing and Controls
- Flexible Coupons Rule and Pricing Restrictions
- Free Shipping Promotion Management
- Bundled Products Options
- Customer Group Pricing
- New Items Promotional Tool
- On Page Upsells and Cross Sells
- Wishlist Management

### Order Management

Standard Magento2 features - all supported:

- View, edit, create and fulfill orders from admin panel
- Create one or multiple invoices, shipments and credit memos per order to allow for split fulfillment
- Print invoices and packing slips
- Call Center (phone) order creation - includes ability to create new customer, or select existing customer and view - shopping cart, wishlist, last ordered items, and compared products list, as well as select addresses, give discounts and assign custom prices
- Create re-orders for customers from administration panel
- Email Notifications of Orders
- RSS feed of New Orders

### Customer Service

- Contact Us form
- Feature-rich Customer Accounts
- Order History with Status Updates
- Password Reset email from front-end and admin panel
- Order and Account Update Emails
- Standard Magento2 feature: Customizable Order Emails
- Standard Magento2 feature: Create and Edit Orders from the Admin Panel

### Customer Accounts

- Order status and history
- Re-orders from account
- Address Book with unlimited addresses
- Default Billing and Shipping addresses
- Wishlist
- Newsletter Subscription management

### Catalog Management Support

- Inventory Management with Backordered items, Minimum and Maximum quantities
- Simple, Configurable (e.g. size, color, etc.), Bundled and Grouped Products
- Virtual Products
- Downloadable/Digital Products
- Available via customization: Customer Personalized Products – upload text for embroidery, monogramming, etc.
- Tax Rates per location, customer group and product type
- Attribute Sets for quick product creation of different item types
- Create Store-specific attributes on the fly
- Media Manager with automatic image resizing and watermarking
- Advanced Pricing Rules and support for Special Prices (see marketing tools)
- Available via customization: Customer Personalized Products – Upload Image
- Available via customization: Customer Personalized Products – Select Date/Time options for products

### Product Browsing

- Multiple Images Per Product
- Product Image Zoom-in Capability
- Related Products
- Stock Availability
- Product Option Selection
- Grouped Products View
- Add to Wishlist

### Catalog Browsing

- Ultrafast ElasticSearch full catalog support with Service Workers caching
- 100% Offline support
- Layered / Faceted Navigation for filtering of products in categories
- Recently viewed products
- Product comparisons
- Cross-sells, Up-sells and Related Items
- Available via customization: Product listing in grid or list format
- Breadcrumbs
